| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csComparator< csInputDefinition, csInputDefinition > Class Template Reference

csComparator<> specialization for csInputDefinition to allow its use as e.g. More...

`#include <csutil/inputdef.h>`

List of all members.

## Static Public Member Functions
static int | Compare (csInputDefinition const &r1, csInputDefinition const &r2)

## Detailed Description

### template<>
class csComparator< csInputDefinition, csInputDefinition >

csComparator<> specialization for csInputDefinition to allow its use as e.g.

hash key type.

Definition at line 264 of file inputdef.h.

The documentation for this class was generated from the following file:

- csutil/inputdef.h